Name:		qt5ct
Version:	1.7
Release:	%mkrel 1
Summary:	Qt5 Configuration Tool
Group:		Graphical desktop/Other
License:	BSD
URL:		https://sourceforge.net/projects/qt5ct/
Source0:	https://downloads.sourceforge.net/qt5ct/%{name}-%{version}.tar.bz2
Patch0:		qt5ct-0.25-mga-set-QT_QPA_PLATFORMTHEME.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	qt5platformsupport-devel
BuildRequires:	qt5themesupport-devel
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libinput)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xrender)

%description
qt5ct allows users to configure Qt5 settings (theme, font, icons, etc.) under
DE/WM without Qt integration.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

# Copy translations files
install -d %{buildroot}%{_datadir}/%{name}/translations
install -m 644 src/%{name}/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/

# devel lib not needed
find %{buildroot} -name 'libqt5ct-common.so' -delete

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_libdir}/lib%{name}-common.so.%{version}
%{_qt5_plugindir}/platformthemes/libqt5ct.so
%{_qt5_plugindir}/styles/libqt5ct-style.so
%config %{_sysconfdir}/profile.d/%{name}.*sh


%changelog
* Wed Mar 08 2023 daviddavid <daviddavid> 1.7-1.mga9
+ Revision: 1948347
- new version: 1.7
- switch to cmake build system

* Mon Aug 22 2022 papoteur <papoteur> 1.5-1.mga9
+ Revision: 1879365
- new 1.5

* Mon Apr 04 2022 umeabot <umeabot> 1.2-2.mga9
+ Revision: 1843560
- Mageia 9 Mass Rebuild

* Fri Apr 23 2021 daviddavid <daviddavid> 1.2-1.mga9
+ Revision: 1718036
- new version: 1.2

* Thu Dec 17 2020 umeabot <umeabot> 1.1-2.mga8
+ Revision: 1659561
- Rebuild for new Qt5

* Thu Jul 23 2020 daviddavid <daviddavid> 1.1-1.mga8
+ Revision: 1608181
- new version: 1.1

* Thu Jun 18 2020 daviddavid <daviddavid> 1.0-1.mga8
+ Revision: 1595974
- new version: 1.0

* Sun Feb 16 2020 umeabot <umeabot> 0.41-2.mga8
+ Revision: 1531029
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 daviddavid <daviddavid> 0.41-1.mga8
+ Revision: 1438682
- new version: 0.41

* Sun Sep 01 2019 daviddavid <daviddavid> 0.40-1.mga8
+ Revision: 1436069
- new version: 0.40

* Sun May 05 2019 daviddavid <daviddavid> 0.39-1.mga7
+ Revision: 1396383
- new version: 0.39

* Mon Apr 01 2019 umeabot <umeabot> 0.38-2.mga7
+ Revision: 1384287
- Qt5 Rebuild

* Mon Mar 25 2019 daviddavid <daviddavid> 0.38-1.mga7
+ Revision: 1380068
- new version: 0.38

* Sat Dec 22 2018 daviddavid <daviddavid> 0.37-1.mga7
+ Revision: 1344409
- new version: 0.37

* Thu Aug 23 2018 daviddavid <daviddavid> 0.36-1.mga7
+ Revision: 1253513
- new version: 0.36

* Fri Mar 09 2018 daviddavid <daviddavid> 0.35-1.mga7
+ Revision: 1207502
- new version: 0.35

* Tue Nov 07 2017 daviddavid <daviddavid> 0.34-1.mga7
+ Revision: 1176412
- new version: 0.34

* Sat Aug 26 2017 daviddavid <daviddavid> 0.33-2.mga7
+ Revision: 1147923
- add missing BR on libqt5themesupport-static-devel

* Sat Jun 03 2017 akien <akien> 0.33-1.mga6
+ Revision: 1106015
- Version 0.33

* Wed Apr 26 2017 akien <akien> 0.31-1.mga6
+ Revision: 1097574
- Version 0.31

* Fri Feb 10 2017 daviddavid <daviddavid> 0.30-1.mga6
+ Revision: 1085523
- new version: 0.30

* Thu Jan 26 2017 daviddavid <daviddavid> 0.29-1.mga6
+ Revision: 1083536
- new version: 0.29

* Thu Dec 15 2016 daviddavid <daviddavid> 0.27-3.mga6
+ Revision: 1075319
- add missing BRs on libinput and xkbcommon to fix build

* Thu Nov 17 2016 daviddavid <daviddavid> 0.27-2.mga6
+ Revision: 1068088
- add missing BR on pkgconfig(udev)

* Sat Sep 24 2016 daviddavid <daviddavid> 0.27-1.mga6
+ Revision: 1055660
- new version: 0.27

* Tue Sep 06 2016 daviddavid <daviddavid> 0.26-1.mga6
+ Revision: 1050272
- new version: 0.26
- remove merged upstream patch

* Tue Aug 16 2016 daviddavid <daviddavid> 0.25-1.mga6
+ Revision: 1046500
- new version: 0.25
- rename and redo completed_french_translation patch
- add patch to set the QT_QPA_PLATFORMTHEME environment variable

* Fri Jun 03 2016 daviddavid <daviddavid> 0.24-2.mga6
+ Revision: 1020141
- add a patch to complete french translation

* Thu Jun 02 2016 daviddavid <daviddavid> 0.24-1.mga6
+ Revision: 1020029
- initial package qt5ct

